<?php

/** @phpcs-require-sorted-array */
$languageNames = [
	# Added to core, not part of CLDR, T353058
	'aae' => 'Arbëresh',
	# Not in CLDR 34. Used for MediaWiki localisation
	'abe' => 'Western Abenaki',
	# used by Wikidata, T155367
	'abq' => 'Abaza',
	# used by Wikidata, T155424
	'abq-latn' => 'Abaza',
	'abs' => 'Ambonese Malay',
	# Added to Core, not part of CLDR, T333425
	'acm' => 'Iraqi Arabic',
	'ady-cyrl' => 'Adyghe (Cyrillic script)',
	'aeb-arab' => 'Tunisian Arabic (Arabic script)',
	'aeb-latn' => 'Tunisian Arabic (Latin script)',
	# used by Wikidata, T321644
	'aec' => 'Saʽidi Arabic',
	# used by Wikidata, T190981
	'alc' => 'Kawésqar',
	# used by Wikidata, T295738
	'alq' => 'Algonquin',
	'ami' => 'Amis',
	'ane' => 'Xârâcùù',
	'apc' => 'Levantine Arabic',
	'az-cyrl' => 'Azerbaijani (Cyrillic script)',
	'azb' => 'South Azerbaijani',
	# used by Wikidata, T263946
	'bag' => 'Tuki',
	'ban-bali' => 'Balinese (Balinese script)',
	'bat-smg' => 'Samogitian',
	'bbc-latn' => 'Batak Toba (Latin script)',
	'bcc' => 'Southern Balochi',
	# Added to Core, not part of CLDR, T287345
	'bci' => 'Baoulé',
	'bcl' => 'Central Bikol',
	# used by Wikidata, T234330
	'bdr' => 'West Coast Bajau',
	'be-tarask' => 'Belarusian (Taraškievica orthography)',
	# internal code of be-tarask.wikipedia.org
	'be-x-old' => 'Belarusian (Taraškievica orthography)',
	'bfi' => 'British Sign Language',
	'bft' => 'Balti',
	'bfz' => 'Mahasu Pahari',
	'bgp' => 'Eastern Balochi',
	'bgq' => 'Bagri',
	'bh' => 'Bhojpuri',
	'bha' => 'Bharia',
	'bhd' => 'Bhadrawahi',
	# used by Wikidata, T263946
	'bkc' => 'Baka',
	# used by Wikidata, T263946
	'bkh' => 'Bakako',
	'blk' => 'Pa\'O',
	'bnn' => 'Bunun',
	# used by Wikidata, T263946
	'bqz' => 'Mka\'a',
	'bse' => 'Wushi',
	'bsk' => 'Burushaski',
	'bxr' => 'Russia Buriat',
	# used by Wikidata, T323440
	'bzs' => 'Brazilian Sign Language',
	# used by Wikidata, T278854
	'cak' => 'Kaqchikel',
	# used by Wikidata, T266423
	'cal' => 'Carolinian',
	'cbk-zam' => 'Chavacano',
	'ccp-beng' => 'Chakma (Bengali script)',
	'cdo' => 'Mindong',
	# used by Wikidata, T180771
	'cdo-hani' => 'Mindong (Han script)',
	'cja' => 'Western Cham',
	'cja-arab' => 'Western Cham (Arabic script)',
	'cja-cham' => 'Western Cham (Cham script)',
	'cja-latn' => 'Western Cham (Latin script)',
	'cjm' => 'Eastern Cham',
	'cjm-arab' => 'Eastern Cham (Arabic script)',
	'cjm-cham' => 'Eastern Cham (Cham script)',
	'cjm-latn' => 'Eastern Cham (Latin script)',
	'cjy' => 'Jin',
	'cjy-hans' => 'Jin (Simplified Han script)',
	'cjy-hant' => 'Jin (Traditional Han script)',
	# used by Wikidata, T240097
	'ckt' => 'Chukchi',
	# used by Wikidata, T215032
	'cmg' => 'Classical Mongolian',
	# used by Wikidata, T278853
	'cnh' => 'Hakha-Chin',
	'cnr' => 'Montenegrin',
	'cnx' => 'Middle Cornish',
	# Added to core, T343865
	'cpx' => 'Pu-Xian Min',
	'cpx-hans' => 'Pu-Xian Min (Simplified Han script)',
	'cpx-hant' => 'Pu-Xian Min (Traditional Han script)',
	'cpx-latn' => 'Pu-Xian Min (Latin script)',
	# used by Wikidata, T220284
	'crb' => 'Island Carib',
	'crh-cyrl' => 'Crimean Tatar (Cyrillic script)',
	'crh-latn' => 'Crimean Tatar (Latin script)',
	# Added to core, T336919
	'crh-ro' => 'Dobrujan Tatar',
	'ctg' => 'Chittagonian',
	# used by Wikidata, T240098
	'dag' => 'Dagbani',
	'de-1901' => 'German (traditional orthography)',
	'de-formal' => 'German (formal address)',
	# used by Wikidata, T267915
	'dru' => 'Rukai',
	'dty' => 'Doteli',
	'duf' => 'Dumbea',
	# used by Wikidata, T198674
	'el-cy' => 'Cypriot Greek',
	'eml' => 'Emiliano-Romagnolo',
	# used by Wikidata, T212313
	'en-in' => 'Indian English',
	'eo-hsistemo' => 'Esperanto (h-system orthography)',
	'eo-xsistemo' => 'Esperanto (x-system orthography)',
	# Missing en translation T256649
	'es-formal' => 'Spanish (formal address)',
	'ess' => 'Central Siberian Yupik',
	# used by Wikidata, T263946
	'eto' => 'Eton',
	'ett' => 'Etruscian',
	# used by Wikidata, T263946
	'etu' => 'Ejagham',
	'eya' => 'Eyak',
	'fkv' => 'Kvensk',
	# used by Wikidata, T263946
	'fmp' => 'Fe\'Fe\'',
	'fos' => 'Siraya',
	'frk' => 'Frankish',
	'fsl' => 'French Sign Language',
	# used by Wikidata, T314935
	'fud' => 'Futunan',
	'fuf' => 'Pular',
	'gan' => 'Gan',
	'gan-hans' => 'Gan (Simplified Han script)',
	'gan-hant' => 'Gan (Traditional Han script)',
	'gbk' => 'Gaddi',
	# Added to core, T353307.
	'gcf' => 'Guadeloupean Creole',
	'gcr' => 'Guianan Creole',
	'gju' => 'Gujari',
	'gld' => 'Nanai',
	# used by Wikidata T217131
	'gml' => 'Middle Low German',
	'gmy' => 'Mycenaean Greek',
	'gom-deva' => 'Goan Konkani (Devanagari script)',
	'gom-latn' => 'Goan Konkani (Latin script)',
	# Added to core, T311975.
	'gpe' => 'Ghanaian Pidgin',
	'gsg' => 'German Sign Language',
	'gsw' => 'Alemannic',
	# used by Wikidata, T262922
	'gsw-fr' => 'Alsatian',
	# Added to core, T286460
	'guw' => 'Gun',
	# used by Wikidata, T263946
	'gya' => 'Gbaya',
	'ha-arab' => 'Hausa (Arabic script)',
	'hac' => 'Gurani',
	# used by Wikidata, T180771
	'hak-hans' => 'Hakka (Simplified Han script)',
	# used by Wikidata, T180771
	'hak-hant' => 'Hakka (Traditional Han script)',
	'hav' => 'Havu',
	'haz' => 'Hazaragi',
	# used by Wikidata, T155368
	'hbo' => 'Biblical Hebrew',
	'hif-latn' => 'Fiji Hindi (Latin script)',
	# Added to core, T332113
	'hno' => 'Northern Hindko',
	'hoc' => 'Ho',
	# used by Wikispecies, T303379
	'hts' => 'Hadza',
	# Missing en translation T256649
	'hu-formal' => 'Hungarian (formal address)',
	'hyw' => 'Western Armenian',
	'ike-cans' => 'Eastern Canadian (Aboriginal syllabics)',
	'ike-latn' => 'Eastern Canadian (Latin script)',
	# used by Wikidata, T263946
	'isu' => 'Isu',
	# used by Wikidata, T195816
	'ja-hani' => 'Japanese (Kanji script)',
	# used by Wikidata, T195816
	'ja-hira' => 'Japanese (Hiragana script)',
	# used by Wikidata, T195816
	'ja-hrkt' => 'Japanese (Kana script)',
	# used by Wikidata, T195816
	'ja-kana' => 'Japanese (Katakana script)',
	# added to core T345807
	'kai' => 'Karekare',
	'kbd-cyrl' => 'Kabardian (Cyrillic script)',
	'kbp' => 'Kabiye',
	# used by Wikidata, T263946
	'ker' => 'Kera',
	# added to core T351874
	'kge' => 'Komering',
	'kjh' => 'Khakas',
	'kjp' => 'Eastern Pwo',
	'kk-arab' => 'Kazakh (Arabic script)',
	'kk-cn' => 'Kazakh (China)',
	'kk-cyrl' => 'Kazakh (Cyrillic script)',
	'kk-kz' => 'Kazakh (Kazakhstan)',
	'kk-latn' => 'Kazakh (Latin script)',
	'kk-tr' => 'Kazakh (Turkey)',
	# used by Wikidata, T198366
	'kld' => 'Gamilaraay',
	'kls' => 'Kalasha',
	'kmr' => 'Northern Kurdish',
	'knn' => 'Maharashtrian Konkani',
	'ko-kp' => 'Korean (North Korea)',
	'koy' => 'Koyukon',
	'ks-arab' => 'Kashmiri (Arabic script)',
	'ks-deva' => 'Kashmiri (Devanagari script)',
	'ksw' => 'S\'gaw Karen',
	'ku-arab' => 'Kurdish (Arabic script)',
	'ku-latn' => 'Kurdish (Latin script)',
	'lad-hebr' => 'Ladino (Hebrew script)',
	'lbe' => 'Lak',
	# used by Wikidata, T234761
	'lcm' => 'Tungag',
	'ldn' => 'Láadan',
	# used by Wikidata, T263946
	'lem' => 'Nomaande',
	# used by Wikidata, T254968
	'lij-mc' => 'Monégasque',
	'lki' => 'Laki',
	'lld' => 'Ladin',
	# used by Wikidata, T263946
	'lns' => 'Lamnso\'',
	'luz' => 'Southern Luri',
	# used by Wikidata,  T293884
	'mcn' => 'Massa',
	# used by Wikidata, T263946
	'mcp' => 'Maka',
	# used by Wikidata, T235468
	'mfa' => 'Kelantan-Pattani Malay',
	'mhk' => 'Mungaka',
	'mhr' => 'Eastern Mari',
	'mid' => 'Mandaic',
	'mis' => 'unsupported language',
	# used by Wikidata T155419
	'mix' => 'Mixtec',
	# added to core T284043
	'mnc-latn' => 'Manchu (Latin script)',
	'mnc-mong' => 'Manchu (Mongolian script)',
	'mnw' => 'Mon',
	'mo' => 'Moldovan',
	# used by Wikidata, T270059
	'ms-arab' => 'Malay (Jawi script)',
	'mui' => 'Musi',
	/* Upper case in CLDR, but should be lower case
	 * https://unicode-org.atlassian.net/browse/CLDR-9664
	 */
	'mul' => 'multiple languages',
	'mvf' => 'Peripheral Mongolian',
	'mvi' => 'Miyako',
	'nan' => 'Minnan',
	# used by Wikidata, T180771
	'nan-hani' => 'Minnan (Han script)',
	# used by Wikidata, T263946
	'nge' => 'Ngémba',
	# Missing en translation T256649
	'nl-informal' => 'Dutch (informal address)',
	# used by Wikidata, T263946
	'nla' => 'Ngombala',
	'nmz' => 'Nawdm',
	'nn-hognorsk' => 'Norwegian Høgnorsk',
	# used by Wikidata, T263946
	'nnz' => 'Nda\'Nda\'',
	'nod' => 'Northern Thai',
	# used by Wikidata T265782
	'non-runr' => 'Old Norse (Runic script)',
	# used by Wikidata T165648
	'nrf-gg' => 'Guernésiais',
	# used by Wikidata T165648
	'nrf-je' => 'Jèrriais',
	'nrm' => 'Norman',
	# used by Wikidata T250246
	'nsk' => 'Naskapi',
	'nxm' => 'Numidian',
	'nyo' => 'Nyoro',
	# used by Wikidata, added in InitialiseSettings.php
	'nys' => 'Nyungar',
	# used by Wikidata, T319125
	'obt' => 'Old Breton',
	'oco' => 'Old Cornish',
	'odt' => 'Old Dutch',
	'ofs' => 'Old Frisian',
	# used by Wikidata, T195816
	'ojp' => 'Old Japanese',
	# used by Wikidata, T195816
	'ojp-hani' => 'Old Japanese (Kanji script)',
	# used by Wikidata, T195816
	'ojp-hira' => 'Old Japanese (Hiragana script)',
	'olo' => 'Livvi-Karelian',
	# used by Wikidata T265296
	'oma' => 'Omaha-Ponca',
	'ood' => "O'odham",
	# used by Wikidata T265297
	'osa-latn' => 'Osage (Latin script)',
	'osx' => 'Old Saxon',
	'otk' => 'Old Turkish',
	'owl' => 'Old Welsh',
	# used by Wikidata T275682
	'pao' => 'Northern Paiute',
	'pap-aw' => 'Papiamento (Aruba)',
	'pgd' => 'Gāndhārī',
	# used by Wikidata T155425
	'phn-latn' => 'Phoenician (Latin script)',
	# used by Wikidata T155425
	'phn-phnx' => 'Phoenician (Phoenician script)',
	# used by Wikidata T230881
	'pi-sidd' => 'Pali (Siddham script)',
	'pjt' => 'Pitjantjatjara',
	'pks' => 'Pakistan Sign Language',
	'pnb' => 'Western Punjabi',
	'ppu' => 'Papora-Hoanya',
	'prs' => 'Dari',
	'psu' => 'Sauraseni Prākrit',
	'pt-ao1990' => 'Portuguese (1990 Orthographic Agreement)',
	'pt-colb1945' => 'Portuguese (1945 Orthographic Agreement)',
	'pwn' => 'Paiwan',
	'pyu' => 'Puyuma',
	# used by Wikidata, T185194
	'qya' => 'Quenya',
	# used by Wikidata, T267479
	'rah' => 'Rabha',
	'rhg-rohg' => 'Rohingya (Hanifi Rohingya script)',
	# T320912
	'rki' => 'Arakanese',
	'rkt' => 'Rangpuri',
	'rm-puter' => 'Putèr',
	'rm-rumgr' => 'Rumantsch Grischun',
	'rm-surmiran' => 'Surmiran',
	'rm-sursilv' => 'Sursilvan',
	'rm-sutsilv' => 'Sutsilvan',
	'rm-vallader' => 'Vallader',
	# T223524
	'rmc' => 'Carpathian Romani',
	# T223524
	'rmf' => 'Finnish Kalo',
	# T223524
	'rmg' => 'Traveller Norwegian',
	# T223524
	'rml' => 'Baltic Romani',
	# T223524
	'rmn' => 'Balkan Romani',
	# T223524
	'rmo' => 'Sinte Romani',
	# T223524
	'rmw' => 'Welsh-Romani',
	# T223524
	'rmy' => 'Vlax Romani',
	'roa-rup' => 'Aromanian',
	'roa-tara' => 'Tarantino',
	'rsk' => 'Pannonian Rusyn',
	'ruo' => 'Istro Romanian',
	'ruq' => 'Megleno-Romanian',
	'ruq-cyrl' => 'Megleno-Romanian (Cyrillic script)',
	'ruq-grek' => 'Megleno-Romanian (Greek script)',
	'ruq-latn' => 'Megleno-Romanian (Latin script)',
	# Added to core, not part of CLDR, T352954
	'rut' => 'Rutul',
	'rwr' => 'Marwari (India)',
	'rys' => 'Yaeyama',
	# used by Wikidata T271215
	'ryu' => 'Okinawan',
	# used by Wikidata T230881
	'sa-sidd' => 'Sanskrit (Siddham script)',
	'sat-beng' => 'Santali (Bengali script)',
	'sat-latn' => 'Santali (Latin script)',
	'sat-orya' => 'Santali (Oriya script)',
	'scl' => 'Shina',
	'se-fi' => 'Northern Sami (Finland)',
	'se-no' => 'Northern Sami (Norway)',
	'se-se' => 'Northern Sami (Sweden)',
	# used by Wikidata, T312904
	'ser' => 'Serrano',
	'sh-cyrl' => 'Serbo-Croatian (Cyrillic script)',
	'sh-latn' => 'Serbo-Croatian (Latin script)',
	'shd' => 'Kundal Shahi',
	'shi-latn' => 'Tachelhit (Latin script)',
	'shi-tfng' => 'Tachelhit (Tifinagh script)',
	'shy' => 'Shawiya',
	'shy-arab' => 'Shawiya (Arabic script)',
	'shy-latn' => 'Shawiya (Latin script)',
	'shy-tfng' => 'Shawiya (Tifinagh script)',
	# used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sia' => 'Akkala Sami',
	'sjd' => 'Kildin Sami',
	'sje' => 'Pite Sami',
	# used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sjk' => 'Kemi Sami',
	# used by Wikidata, T185194
	'sjn' => 'Sindarin',
	# used by Wikidata Change-Id: Iba40776d7f96445ae7dc2631438a6c07ac79ce9d
	'sjt' => 'Ter Sami',
	'sju' => 'Ume Sami',
	'skr' => 'Saraiki',
	'skr-arab' => 'Saraiki (Arabic script)',
	'sr-cyrl' => 'Serbian (Cyrillic script)',
	# T348366
	'sr-ec' => 'Serbian (Cyrillic script)',
	'sr-el' => 'Serbian (Latin script)',
	'sr-latn' => 'Serbian (Latin script)',
	# Added to core with T311034
	'sro' => 'Campidanese Sardinian',
	# used by Wikidata, added in InitialiseSettings.php
	'srq' => 'Sirionó',
	'ssf' => 'Thao',
	# used by Wikidata, T294922
	'sth' => 'Shelta',
	# Missing en translation T256649
	'sty' => 'Siberian Tatar',
	'sux-latn' => 'Sumerian (Latin script)',
	'sux-xsux' => 'Sumerian (Cuneiform script)',
	'sxu' => 'Upper Saxon',
	# Added to core with T313199
	'syl' => 'Sylheti',
	'syl-beng' => 'Sylheti (Bengali script)',
	# Added to core with T309763
	'tdd' => 'Tai Nuea',
	'tg-cyrl' => 'Tajik (Cyrillic script)',
	'tg-latn' => 'Tajik (Latin script)',
	'tlb' => 'Tobelo',
	# used by Wikidata T286239
	'tlh-latn' => 'Klingon (Latin script)',
	# used by Wikidata T286239
	'tlh-piqd' => 'Klingon (Klingon script)',
	'tly-cyrl' => 'Talysh (Cyrillic script)',
	# used by Wikidata T220284
	'tnq' => 'Taíno',
	'tt-cyrl' => 'Tatar (Cyrillic script)',
	'tt-latn' => 'Tatar (Latin script)',
	'ttj' => 'Tooro',
	'tui' => 'Tupuri',
	# used by Wikidata, T263946
	'tvu' => 'Tunen',
	# used by Wikidata, T331094
	'txg' => 'Tangut',
	'tzl' => 'Talossan',
	'ug-arab' => 'Uyghur (Arabic script)',
	'ug-latn' => 'Uyghur (Latin script)',
	'umu' => 'Munsee',
	/* Upper case in CLDR, but should be lower case
	 * https://unicode-org.atlassian.net/browse/CLDR-9664
	 */
	'und' => 'undetermined language',
	'unr' => 'Mundari',
	# used by Wikidata, T265468
	'uun' => 'Pazeh',
	'uz-cyrl' => 'Uzbek (Cyrillic script)',
	'uz-latn' => 'Uzbek (Latin script)',
	'vmw' => 'Makhuwa',
	# used by Wikidata, T263946
	'vut' => 'Vute',
	# used by Wikidata, T263946
	'wes' => 'Pidgin (Cameroon)',
	'wlm' => 'Middle Welsh',
	# used by Wikidata, T239411
	'wls' => 'Wallisian',
	'wsv' => 'Wotapuri-Katarqalai',
	'wuu' => 'Wu',
	'wuu-hans' => 'Wu (Simplified Han script)',
	'wuu-hant' => 'Wu (Traditional Han script)',
	# used by Wikidata, T283364
	'wya' => 'Wyandot',
	# used by Wikidata, T319125
	'xbm' => 'Middle Breton',
	'xpu' => 'Punic',
	# used by Wikidata, T317354
	'xsu' => 'Sanumá',
	'xsy' => 'Saisiyat',
	# used by Wikidata, T263946
	'yas' => 'Nugunu',
	# used by Wikidata, T263946
	'yat' => 'Yambeta',
	# used by Wikidata, T296504
	'yec' => 'Yeniche',
	# used by Wikidata, T252198
	'ykg' => 'Tundra Yukaghir',
	'yoi' => 'Yonaguni',
	'yox' => 'Yoron',
	'yue-hans' => 'Cantonese (Simplified Han script)',
	'yue-hant' => 'Cantonese (Traditional Han script)',
	'zai' => 'Isthmus Zapotec',
	'zh-classical' => 'Literary Chinese',
	'zh-cn' => 'Chinese (China)',
	'zh-hk' => 'Chinese (Hong Kong)',
	'zh-min-nan' => 'Minnan',
	'zh-mo' => 'Chinese (Macau)',
	'zh-my' => 'Chinese (Malaysia)',
	'zh-sg' => 'Chinese (Singapore)',
	'zh-tw' => 'Chinese (Taiwan)',
	# language redirect
	'zh-yue' => 'Cantonese',
	'zpu' => 'Yalálag Zapotec',
	/* Upper case in CLDR, but should be lower case
	 * https://unicode-org.atlassian.net/browse/CLDR-9664
	 */
	'zxx' => 'no linguistic content',
];
